View Issue Details

IDProjectCategoryView StatusLast Update
0001725SymmetricDSImprovementpublic2014-05-27 09:59
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.22 
Target Version3.5.22Fixed in Version3.5.22 
Summary0001725: MSSQL Bulk Loader support for UNC paths
DescriptionAdd support for using a UNC network path to access bulk loader files.
The MSSQL bulk loader sends the BULK INSERT statement to SQL Server with a C:\ path to the staging file, which requires SymmetricDS to be running on the same server as SQL Server. With support for a UNC path, SQL Server could access the file when SymmetricDS is running on a nearby server.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 82ead94a

2014-05-21 09:57:37

erilong

Details Diff
0001725: MSSQL Bulk Loader support for UNC paths
0001725
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MsSqlBulkDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

SymmetricDS: master e3ae2995

2014-05-22 09:25:58

erilong

Details Diff
0001725: MSSQL Bulk Loader support for UNC paths
0001725
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-05-21 09:50 elong New Issue
2014-05-21 09:50 elong Status new => assigned
2014-05-21 09:50 elong Assigned To => elong
2014-05-21 10:00 Changeset attached => SymmetricDS trunk r8279
2014-05-21 10:07 elong Status assigned => resolved
2014-05-21 10:07 elong Fixed in Version => 3.6.0
2014-05-21 10:07 elong Resolution open => fixed
2014-05-22 10:00 Changeset attached => SymmetricDS trunk r8289
2014-05-22 10:26 admin Product Version 3.6.0 => 3.5.22
2014-05-22 10:26 admin Fixed in Version 3.6.0 => 3.5.22
2014-05-22 10:26 admin Target Version 3.6.0 => 3.5.22
2014-05-22 11:00 Changeset attached => SymmetricDS 3.5 r8292
2014-05-27 09:59 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master e3ae2995
2015-07-30 21:49 Changeset attached => SymmetricDS master 82ead94a